package com.example.pda.network

import android.util.Log
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch


// 网络请求助手对象，用于处理与服务器的交互
object NetworkWCS {
    private const val TAG = "NetworkWCS"

    fun upstation(){
        // 在IO线程中启动协程以执行网络请求
        CoroutineScope(Dispatchers.IO).launch {
            try {
                // 调用RetrofitClient的submitInventory方法提交数据
                val response = RetrofitWCS.instance.upstation()

            } catch (e: Exception) {
                // 捕获异常并记录日志，之后调用错误回调并传递异常本地化信息
                Log.e(NetworkWCS.TAG, "Submit failed", e)

            }
        }
    }
}
